<?php
/**
 * @version   4.1.1 January 6, 2014
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2014 RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */
// no direct access
defined( 'ABSPATH' ) or die( 'Restricted access' );

global $gantry;

// get the current preset
$gpreset = str_replace(' ','',strtolower($gantry->get('name')));
?>
<!doctype html>
<html xml:lang="<?php echo $gantry->language; ?>" lang="<?php echo $gantry->language;?>" >
<head>
	<?php if ($gantry->get('layout-mode') == '960fixed') : ?>
	<meta name="viewport" content="width=960px, initial-scale=1, minimum-scale=1, maximum-scale=1">
	<?php elseif ($gantry->get('layout-mode') == '1200fixed') : ?>
	<meta name="viewport" content="width=1200px, initial-scale=1, minimum-scale=1, maximum-scale=1">
	<?php else : ?>
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<?php endif; ?>
	<?php if ($gantry->browser->name == 'ie') : ?>
	<meta content="IE=edge" http-equiv="X-UA-Compatible" />
	<?php endif; ?>	

	<?php
		$gantry->displayHead();

		$gantry->addStyle('grid-responsive.css', 5);
		$gantry->addLess('bootstrap.less', 'bootstrap.css', 6);
		//$gantry->addLess('global.less', 'master.css', 8, array('headerstyle'=>$gantry->get('headerstyle','dark')));

		if ($gantry->browser->name == 'ie'){
			if ($gantry->browser->shortversion == 9){
				$gantry->addInlineScript("if (typeof RokMediaQueries !== 'undefined') window.addEvent('domready', function(){ RokMediaQueries._fireEvent(RokMediaQueries.getQuery()); });");
			}
			if ($gantry->browser->shortversion == 8){
				$gantry->addScript('html5shim.js');
			}
		}
		if ($gantry->get('layout-mode', 'responsive') == 'responsive') $gantry->addScript('rokmediaqueries.js');
		if ($gantry->get('loadtransition')) {
			$gantry->addScript('load-transition.js');
			$hidden = ' class="rt-hidden"';
		}

		//agregamos los scripts de scroll
		$gantry->addScript('bootstrap-scrollspy.js');
	?>


	<script type="text/javascript">

		jQuery(document).ready(function($){

			var fixed = $('#rt-top-surround');
			var fixed_height =(fixed.length > 0) ? fixed.outerHeight() : 0;

		<?php //si estamos en el home
			
			if (is_front_page()) :
		?>

			
			$('a[href*=\\#]:not([href=\\#])').click(function(e) {
    			if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') 
        		|| location.hostname == this.hostname) {

				e.preventDefault();
				var hashStr = this.hash.slice(1);
		        var target = $(this.hash);
		        var target_pos = (target.length > 0) ? target.offset().top : 0;
		        
				target_pos -= fixed_height-1;

		           if (target_pos>0) {
		             $('html,body').animate({scrollTop: target_pos}, 1000);
		            	return false;
	        		}
    			}
			});

			$('body').scrollspy({ target: '.menu-block',offset: fixed_height});
			
			$(window).resize(function(){
				fixed_height = (fixed.length > 0) ? fixed.outerHeight() : 0;
				$('#home').css({'height':fixed_height});
				$(document.body).scrollspy('refresh');
			});

			setTimeout(function(){
				var fixed = $('#rt-top-surround');
				fixed_height = (fixed.length > 0) ? fixed.outerHeight() : 0;
				$('#home').css({'height':fixed_height});
				$(document.body).scrollspy('refresh');
				console.log(fixed_height);
			}, 1000);


			var homelink = $('.nav .item').first();

			$(homelink).attr('href','#home');
			
			$(homelink).unbind('click').click(function(e){
				e.preventDefault();
				$('html,body').animate({scrollTop:0},800);
			});

		<?php //si no estamos en el home
			else:
		?>
			var flag=false;
			$('.nav .item').each(function(){
				if(flag && $(this).prop("hash")){					
					$(this).attr('href',"<?php echo get_site_url(); ?>" + $(this).attr('href'));
				}
				flag=true;
			});
			
			$(window).resize(function(){
				fixed_height = (fixed.length > 0) ? fixed.outerHeight() : 0;
				$('#home').css({'height':fixed_height});
			});

			setTimeout(function(){
				fixed_height = (fixed.length > 0) ? fixed.outerHeight() : 0;
				$('#home').css({'height':fixed_height});
			}, 1000);


		<?php endif;?>
			
			$('#home').css({'height':fixed_height});

		});

    </script>

</head>
<body <?php echo $gantry->displayBodyTag(); ?>>
	<?php /** Begin Top Surround **/ if ($gantry->countModules('top') or $gantry->countModules('header')) : ?>
	<header id="rt-top-surround">
		<?php /** Begin Top **/ if ($gantry->countModules('top')) : ?>
		<div id="rt-top" <?php echo $gantry->displayClassesByTag('rt-top'); ?>>
			<div class="rt-container">
				<?php echo $gantry->displayModules('top','standard','standard'); ?>
				<div class="clear"></div>
			</div>
		</div>
		<?php /** End Top **/ endif; ?>
		<?php /** Begin Header **/ if ($gantry->countModules('header')) : ?>
		<div id="rt-header">
			<div class="rt-container">
				<?php echo $gantry->displayModules('header','standard','menu'); ?>
				<div class="clear"></div>
			</div>
		</div>
		<?php /** End Header **/ endif; ?>
	</header>
	<div id="home"></div>

	<?php /** End Top Surround **/ endif; ?>

	<?php /** Begin Drawer **/ if ($gantry->countModules('drawer')) : ?>
	<div id="rt-drawer">
		<div class="rt-container">
			<?php echo $gantry->displayModules('drawer','standard','standard'); ?>
			<div class="clear"></div>
		</div>
	</div>
	<?php /** End Drawer **/ endif; ?>


	<?php /** Begin Showcase **/ if ($gantry->countModules('showcase') && !is_search() ) : ?>
	<div id="rt-showcase">
		<div class="rt-showcase-pattern">
			<?php echo $gantry->displayModules('showcase','basic','basic'); ?>
			<div class="clear"></div>	
		</div>
	</div>
	<?php /** End Showcase **/ endif; ?>


	<div id="rt-transition"<?php if ($gantry->get('loadtransition')) echo $hidden; ?>>
		<div id="rt-mainbody-surround">


			<?php /** Begin Feature **/ if ($gantry->countModules('feature') && !is_search()  ) : ?>
			<section id="<?php echo $gantry->get('posfeature-id');  ?>" class="seccion">
			<div id="rt-feature">
				<div class="rt-container">

					<?php /** Titulo **/ if ($gantry->get('posfeature-titulo')!='') : ?>
						<div id="posfeature" class="pos">
							<h2 class="headline"><?php echo $gantry->get('posfeature-titulo'); ?>
								<span class="subline"><?php echo $gantry->get('posfeature-subtitulo'); ?></span>
							</h2>
							
						</div>
					<?php /** Fin Titulo **/ endif; ?>


					<?php echo $gantry->displayModules('feature','standard','standard'); ?>
					<div class="clear"></div>
				</div>
			</div>
			</section>
			<?php /** End Feature **/ endif; ?>


			<?php /** Begin Utility **/ if ($gantry->countModules('utility') && !is_search() ) : ?>
			<section id="<?php echo $gantry->get('posutility-id');  ?>" class="seccion">
			<div id="rt-utility">
				<div class="rt-container">

					<?php /** Titulo **/ if ($gantry->get('posutility-titulo')!='') : ?>
						<div id="posutility" class="pos">
							<h2 class="headline"><?php echo $gantry->get('posutility-titulo'); ?>
								<span class="subline"><?php echo $gantry->get('posutility-subtitulo'); ?></span>
							</h2>
							
						</div>
					<?php /** Fin Titulo **/ endif; ?>


					<?php echo $gantry->displayModules('utility','standard','standard'); ?>
					<div class="clear"></div>
				</div>
			</div>
			</section>
			<?php /** End Utility **/ endif; ?>


			<?php /** Begin Main Top **/ if ($gantry->countModules('maintop') && !is_search() ) : ?>
			<section id="<?php echo $gantry->get('posmaintop-id');  ?>" class="seccion">
			<div id="rt-maintop">
				<div class="rt-container">
					
					<?php /** Titulo **/ if ($gantry->get('posmaintop-titulo')!='') : ?>
						<div id="posmaintop" class="pos">
							<h2 class="headline"><?php echo $gantry->get('posmaintop-titulo'); ?>
								<span class="subline"><?php echo $gantry->get('posmaintop-subtitulo'); ?></span>
							</h2>
							
						</div>
					<?php /** Fin Titulo **/ endif; ?>

					<?php echo $gantry->displayModules('maintop','standard','standard'); ?>
					<div class="clear"></div>
				</div>
			</div>
			</section>
			<?php /** End Main Top **/ endif; ?>


			<?php /** Begin Full Width**/ if ($gantry->countModules('fullwidth')) : ?>
			<div id="rt-fullwidth">
				<?php echo $gantry->displayModules('fullwidth','basic','basic'); ?>
				<div class="clear"></div>
			</div>
			<?php /** End Full Width **/ endif; ?>


			<?php /** Begin Breadcrumbs **/ if ($gantry->countModules('breadcrumb')) : ?>
			<div id="rt-breadcrumbs">
				<div class="rt-container">
					<?php echo $gantry->displayModules('breadcrumb','standard','standard'); ?>
					<div class="clear"></div>
				</div>
			</div>
			<?php /** End Breadcrumbs **/ endif; ?>



			<?php /** Begin Main Body **/ ?>
			<?php if (!is_front_page()) : ?>
			<div class="rt-container">
		    		<?php echo $gantry->displayMainbody('mainbody','sidebar','standard','standard','standard','standard','standard'); ?>
		    </div>
			<?php endif ?>
			<?php /** End Main Body **/ ?>



			<?php /** Begin Main Bottom **/ if ($gantry->countModules('mainbottom') && !is_search() ) : ?>
			<section id="<?php echo $gantry->get('posmainbottom-id');  ?>" class="seccion">
			<div id="rt-mainbottom">
				<div class="rt-container">


					<?php /** Titulo **/ if ($gantry->get('posmainbottom-titulo')!='') : ?>
						<div id="posmainbottom" class="pos">
							<h2 class="headline"><?php echo $gantry->get('posmainbottom-titulo'); ?>
								<span class="subline"><?php echo $gantry->get('posmainbottom-subtitulo'); ?></span>
							</h2>
							
						</div>
					<?php /** Fin Titulo **/ endif; ?>

					<?php echo $gantry->displayModules('mainbottom','standard','standard'); ?>
					<div class="clear"></div>
				</div>
			</div>
			</section>
			<?php /** End Main Bottom **/ endif; ?>
			


			<?php /** Begin Extension **/ if ($gantry->countModules('extension') && !is_search() ) : ?>
			<section id="<?php echo $gantry->get('posextension-id');  ?>" class="seccion">
			<div id="rt-extension">
				<div class="rt-container">

					<?php /** Titulo **/ if ($gantry->get('posextension-titulo')!='') : ?>
						<div id="posextension" class="pos">
							<h2 class="headline"><?php echo $gantry->get('posextension-titulo'); ?>
								<span class="subline"><?php echo $gantry->get('posextension-subtitulo'); ?></span>
							</h2>
							
						</div>
					<?php /** Fin Titulo **/ endif; ?>

					<?php echo $gantry->displayModules('extension','standard','standard'); ?>
					<div class="clear"></div>
				</div>
			</div>
			</section>
			<?php /** End Extension **/ endif; ?>


			<?php /** Begin Bottom **/ if ($gantry->countModules('bottom') && !is_search() ) : ?>
			<section id="<?php echo $gantry->get('posbottom-id');  ?>" class="seccion">
			<div id="rt-bottom">
				<div class="rt-container">

					<?php /** Titulo **/ if ($gantry->get('posbottom-titulo')!='') : ?>
						<div id="posbottom" class="pos">
							<h2 class="headline"><?php echo $gantry->get('posbottom-titulo'); ?>
								<span class="subline"><?php echo $gantry->get('posbottom-subtitulo'); ?></span>
							</h2>
							
						</div>
					<?php /** Fin Titulo **/ endif; ?>

					<?php echo $gantry->displayModules('bottom','standard','standard'); ?>
					<div class="clear"></div>
				</div>
			</div>
			</section>
			<?php /** End Bottom **/ endif; ?>

		</div>
	</div>


	<?php /** Begin Footer Section **/ if ( $gantry->countModules('footer') or $gantry->countModules('copyright')) : ?>
	<footer id="rt-footer-surround">

		<?php /** Begin Footer **/ if ($gantry->countModules('footer')) : ?>
		<div id="rt-footer">
			<div class="rt-container">
				<?php echo $gantry->displayModules('footer','standard','standard'); ?>
				<div class="clear"></div>
			</div>
		</div>
		<?php /** End Footer **/ endif; ?>


		<?php /** Begin Copyright **/ if ($gantry->countModules('copyright')) : ?>
		<div id="rt-copyright">
			<div class="rt-container">
				<?php echo $gantry->displayModules('copyright','standard','standard'); ?>
				<div class="clear"></div>
			</div>
		</div>


		<?php /** End Copyright **/ endif; ?>
	</footer>

	<?php /** End Footer Surround **/ endif; ?>


	<?php /** Begin Debug **/ if ($gantry->countModules('debug')) : ?>
	<div id="rt-debug">
		<div class="rt-container">
			<?php echo $gantry->displayModules('debug','standard','standard'); ?>
			<div class="clear"></div>
		</div>
	</div>
	<?php /** End Debug **/ endif; ?>
	<?php /** Begin Analytics **/ if ($gantry->countModules('analytics')) : ?>
	<?php echo $gantry->displayModules('analytics','basic','basic'); ?>
	<?php /** End Analytics **/ endif; ?>
	<?php $gantry->displayFooter(); ?>
	</body>
</html>
<?php
$gantry->finalize();
?>